[Solved] get a lot of ERR! during installation from npm



  • hey friends

    i try now for a couple of hours to install nodebb but i always get a lot of errors.
    i got it running once but without setting admin password during setup so it was worthless.
    i already now get to the point to be able to set a admin password but then setup stops with:
    error: Cannot read property 'sockets' of undefined

    during npm install i get a lot of this messages (most of them i could handle by manually installing packages):
    npm ERR! Error: No compatible version found: npm@'^1.4.6'
    npm ERR! Valid install targets:
    npm ERR! ["1.1.25","1.2.32","1.3.2","1.3.4","1.2.20","1.2.21","1.2.22","1.2.23","1.2.24","1.2.25","1.2.27","1.2.28","1.2.30","1.2.31","1.3.0","1.3.1","1.2.19","1.1.70","1.1.71","1.3.5","1.3.6","1.3.7","1.3.8","1.3.9","1.3.10","1.3.11","1.3.12","1.3.13","1.3.14","1.3.15","1.3.16","1.3.17","1.3.18","1.3.20","1.3.21","1.3.22","1.3.23","1.3.24","1.3.25","1.3.26","1.4.0","1.4.1","1.4.2","1.4.3","1.4.4","1.4.5","1.4.6","1.4.7"]
    npm ERR! at installTargetsError (/usr/local/lib/node_modules/npm/lib/cache.js:709:10)
    npm ERR! at /usr/local/lib/node_modules/npm/lib/cache.js:631:10
    npm ERR! at saved (/usr/local/lib/node_modules/npm/node_modules/npm-registry-client/lib/get.js:138:7)
    npm ERR! at Object.oncomplete (fs.js:107:15)
    npm ERR! If you need help, you may report this log at:
    npm ERR! http://github.com/isaacs/npm/issues
    npm ERR! or email it to:
    npm ERR! npm-@googlegroups.com

    npm ERR! System Linux 3.8.0-35-generic
    npm ERR! command "/usr/local/bin/node" "/usr/local/bin/npm" "install"
    npm ERR! cwd /var/www/nodebb
    npm ERR! node -v v0.10.9
    npm ERR! npm -v 1.2.24
    npm ERR!
    npm ERR! Additional logging details can be found in:
    npm ERR! /var/www/nodebb/npm-debug.log
    npm ERR! not ok code 0


  • Admin

    Funny enough I ran into that problem today when attempting to deploy on OpenShift. Basically means your npm is out of date, so run npm i -g npm (you may need to sudo). If you are trying to get it to run on OpenShift like I was, you're better off npm install'ing locally and then uploading the node_modules folder.



  • @psychobunny said:

    npm i -g npm

    first - thanks for the quick replay 🙂
    thanks just tryed it but it still gives me the same error during setup - error: Cannot read property 'sockets' of undefined

    i'll run the whole installation again... coming back to you once that is done 🙂

    cheers
    ToM


  • Admin

    first - thanks for the quick replay

    Well you're just lucky that you caught me before bed 😛 Are you running edge? As far as I know the latest build is working, but maybe you'd want to pull 0.4.1 which is the latest stable version.

    git clone --branch v0.4.1 https://github.com/designcreateplay/NodeBB.git


  • Yo yo yo 🙂 😄 😄 👍

    You are the man - works

    i've never worked with node.js before so i didn't know about the npm i -g npm update procedure.
    after i did that, i cloned the latest build from github

    npm install ran without any error

    nodebb setup - without error

    [SOLVED] 🙂

    thank you very much again - now i can configure this beautiful virgin forum
    cheers
    ToM

    PS: I'm going to sleep now as well...


  • Admin

    Marked as solved. Goodnight 🙂

    Marked as solved.

    Edit: or not, looks like I'm going to have to look at the topic badges plugin @julian 😄


Log in to reply
 

Suggested Topics

| |